Retrieves a Customer

​

Retrieves an existing customer by ID.

To retrieve the payment methods saved for this customer, use List Payment Methods with the customer query parameter.

You can also review customer details in the Merchant Dashboard.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/customers/{id}
curl 'https://api.paypercut.io/v1/customers/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "created": "2026-11-13T07:04:16.090Z",
  "livemode": true,
  "email": null,
  "name": null,
  "phone": null,
  "preferred_locales": [
    "string"
  ],
  "address": {
    "city": null,
    "country": null,
    "line1": null,
    "line2": null,
    "postal_code": null,
    "state": null
  },
  "invoice_settings": {
    "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
  },
  "id": "string",
  "test_clock": "string"
}